import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { BoilerplateListComponent } from './components/boilerplate-list/boilerplate-list.component';
import { BoilerplateDetailsComponent } from './components/boilerplate-details/boilerplate-details.component';
import { AddBoilerplateComponent } from './components/add-boilerplate/add-boilerplate.component';

/*import { PrefixListComponent } from './components/prefix-list/prefix-list.component';
import { PrefixDetailsComponent } from './components/prefix-details/prefix-details.component';
import { AddPrefixComponent } from './components/add-prefix/add-prefix.component';*/

const routes: Routes = [
  { path: '', redirectTo: 'boilerplates', pathMatch: 'full' },
  { path: 'boilerplates', component: BoilerplateListComponent },
  { path: 'boilerplates/:id', component: BoilerplateDetailsComponent },
  { path: 'add-boilerplate', component: AddBoilerplateComponent }
  /*{ path: '', redirectTo: 'tutorials', pathMatch: 'full' },
  { path: 'prefix', component: PrefixListComponent },
  { path: 'prefix/:id', component: PrefixDetailsComponent },
  { path: 'add', component: AddPrefixComponent }*/
];


@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
